AOZ Studio Beta - Bug #835

AMAL label/jump not working
09/26/2021 04:06 PM - Jason Wroe

Status: Feedback Start date: 09/26/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Creating an AMAL string with a label and a jump to label in the AMAL doesnt run any animation in between :-

#manifest:"amiga"
#speed:"safe"

Cls0
Curs Off

Bob 1,270,160,3

STAN$="K: A 1,($8000+4,7)($8000+5,7)($8000+6,7)($8000+7,7)($8000+8,7)($8000+137,1); J K;"

Channel 1 To Bob 1
Amal 1, STAN$

Do
Amal On 1

Wait Vbl

Loop

History

#1 - 09/28/2021 09:35 AM - Francois Lionet

- Status changed from New to Feedback

Same question as the other bug. | have a problem here:

If Anim waits for completion, then how can this work:
A1, (1,5)(2, 5)L; M(1,1,5)(1,-1,5)L;

If Anim was waiting, then Move would never be called!
?2??
